aboutsummaryrefslogtreecommitdiff
path: root/build_toolchain.sh
diff options
context:
space:
mode:
authorneonloop2021-03-07 14:47:57 +0000
committerneonloop2021-03-07 14:47:57 +0000
commit9ab73f47aedebd94eb4d353262a582d9fd3a8cec (patch)
treee73509334e64bd337d9524cf03f1d910c90ca521 /build_toolchain.sh
parent4ad5efd6071cefe6cc813d5d6b38869b54a44eaf (diff)
downloadtrimui-toolchain-9ab73f47aedebd94eb4d353262a582d9fd3a8cec.tar.gz
trimui-toolchain-9ab73f47aedebd94eb4d353262a582d9fd3a8cec.tar.bz2
trimui-toolchain-9ab73f47aedebd94eb4d353262a582d9fd3a8cec.zip
Clear buildroot source after building
This saves an enormous amount of disk space in the image. Since fewer packages are installed, there is a method for installing extra packages. This also adds a helper script for setting up common cross-compiling variables.
Diffstat (limited to 'build_toolchain.sh')
-rwxr-xr-xbuild_toolchain.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/build_toolchain.sh b/build_toolchain.sh
new file mode 100755
index 0000000..7562c57
--- /dev/null
+++ b/build_toolchain.sh
@@ -0,0 +1,19 @@
+#! /bin/bash
+
+set -xe
+
+BR_DIR=buildroot-${BUILDROOT_VERSION:-"2016.05"}
+BR_TAR=${BR_DIR}.tar.bz2
+BR_URL=https://buildroot.org/downloads/${BR_TAR}
+
+echo ${BR_DIR} && wget ${BR_URL} && ls -l && tar xf ${BR_TAR} && rm -f ${BR_TAR}
+
+pushd ${BR_DIR}
+make trimui_defconfig BR2_EXTERNAL=../trimui_config
+make toolchain
+
+for patch in ../*.patch; do patch -p0 < $patch; done
+make
+
+popd
+rm -r ${BR_DIR}